List conversations
curl --request GET \
--url https://api.meetdarwin.ai/v1/conversations \
--header 'Authorization: Bearer <token>'const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.meetdarwin.ai/v1/conversations', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));import requests
url = "https://api.meetdarwin.ai/v1/conversations"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text){
"object": "list",
"data": [
{
"id": "conv_c-1760280000000-k3j9",
"object": "conversation",
"created_at": "2023-11-07T05:31:56Z",
"updated_at": "2023-11-07T05:31:56Z",
"page_url": "<string>",
"page_path": "<string>",
"outcome": "meeting",
"message_count": 0,
"preview": "<string>",
"contact": "<string>",
"lead": {
"first_name": "<string>",
"last_name": "<string>",
"email": "<string>",
"captured_at": "2023-11-07T05:31:56Z"
},
"booking": {
"started_at": "2023-11-07T05:31:56Z",
"booked_at": "2023-11-07T05:31:56Z",
"booker_email": "<string>"
},
"handoff": {
"requested_at": "2023-11-07T05:31:56Z",
"reason": "<string>"
},
"visitor": {
"device": "<string>",
"country": "<string>",
"region": "<string>",
"city": "<string>",
"referrer": "<string>",
"source": "<string>",
"utm": {},
"ai_referred": true,
"returning": true,
"first_seen_at": "2023-11-07T05:31:56Z",
"last_seen_at": "2023-11-07T05:31:56Z"
},
"opening": {
"experiment": "<string>",
"variant": "<string>"
},
"evaluation": {
"intent": "<string>",
"buying_stage": "<string>",
"qualification_score": 123,
"meeting_intent": 123,
"understood": true,
"failure_category": "<string>",
"abandonment_reason": "<string>",
"recommended_improvement": "<string>",
"evaluated_at": "2023-11-07T05:31:56Z"
},
"test": true,
"admin_url": "<string>",
"messages": [
{
"id": "<string>",
"role": "user",
"text": "<string>",
"created_at": "2023-11-07T05:31:56Z",
"tools": [
"<string>"
]
}
]
}
],
"has_more": true,
"next_cursor": "<string>"
}{
"type": "https://docs.meetdarwin.ai/api-reference/errors#insufficient_scope",
"title": "<string>",
"status": 0,
"code": "insufficient_scope",
"detail": "<string>",
"request_id": "req_8m2k4p0q1x7z9c3v5b6n",
"param": "<string>"
}{
"type": "https://docs.meetdarwin.ai/api-reference/errors#insufficient_scope",
"title": "<string>",
"status": 0,
"code": "insufficient_scope",
"detail": "<string>",
"request_id": "req_8m2k4p0q1x7z9c3v5b6n",
"param": "<string>"
}{
"type": "https://docs.meetdarwin.ai/api-reference/errors#insufficient_scope",
"title": "<string>",
"status": 0,
"code": "insufficient_scope",
"detail": "<string>",
"request_id": "req_8m2k4p0q1x7z9c3v5b6n",
"param": "<string>"
}{
"type": "https://docs.meetdarwin.ai/api-reference/errors#insufficient_scope",
"title": "<string>",
"status": 0,
"code": "insufficient_scope",
"detail": "<string>",
"request_id": "req_8m2k4p0q1x7z9c3v5b6n",
"param": "<string>"
}{
"type": "https://docs.meetdarwin.ai/api-reference/errors#insufficient_scope",
"title": "<string>",
"status": 0,
"code": "insufficient_scope",
"detail": "<string>",
"request_id": "req_8m2k4p0q1x7z9c3v5b6n",
"param": "<string>"
}{
"type": "https://docs.meetdarwin.ai/api-reference/errors#insufficient_scope",
"title": "<string>",
"status": 0,
"code": "insufficient_scope",
"detail": "<string>",
"request_id": "req_8m2k4p0q1x7z9c3v5b6n",
"param": "<string>"
}{
"type": "https://docs.meetdarwin.ai/api-reference/errors#insufficient_scope",
"title": "<string>",
"status": 0,
"code": "insufficient_scope",
"detail": "<string>",
"request_id": "req_8m2k4p0q1x7z9c3v5b6n",
"param": "<string>"
}{
"type": "https://docs.meetdarwin.ai/api-reference/errors#insufficient_scope",
"title": "<string>",
"status": 0,
"code": "insufficient_scope",
"detail": "<string>",
"request_id": "req_8m2k4p0q1x7z9c3v5b6n",
"param": "<string>"
}Conversations
List conversations
Requires the conversations:read scope.
GET
/
conversations
List conversations
curl --request GET \
--url https://api.meetdarwin.ai/v1/conversations \
--header 'Authorization: Bearer <token>'const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.meetdarwin.ai/v1/conversations', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));import requests
url = "https://api.meetdarwin.ai/v1/conversations"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text){
"object": "list",
"data": [
{
"id": "conv_c-1760280000000-k3j9",
"object": "conversation",
"created_at": "2023-11-07T05:31:56Z",
"updated_at": "2023-11-07T05:31:56Z",
"page_url": "<string>",
"page_path": "<string>",
"outcome": "meeting",
"message_count": 0,
"preview": "<string>",
"contact": "<string>",
"lead": {
"first_name": "<string>",
"last_name": "<string>",
"email": "<string>",
"captured_at": "2023-11-07T05:31:56Z"
},
"booking": {
"started_at": "2023-11-07T05:31:56Z",
"booked_at": "2023-11-07T05:31:56Z",
"booker_email": "<string>"
},
"handoff": {
"requested_at": "2023-11-07T05:31:56Z",
"reason": "<string>"
},
"visitor": {
"device": "<string>",
"country": "<string>",
"region": "<string>",
"city": "<string>",
"referrer": "<string>",
"source": "<string>",
"utm": {},
"ai_referred": true,
"returning": true,
"first_seen_at": "2023-11-07T05:31:56Z",
"last_seen_at": "2023-11-07T05:31:56Z"
},
"opening": {
"experiment": "<string>",
"variant": "<string>"
},
"evaluation": {
"intent": "<string>",
"buying_stage": "<string>",
"qualification_score": 123,
"meeting_intent": 123,
"understood": true,
"failure_category": "<string>",
"abandonment_reason": "<string>",
"recommended_improvement": "<string>",
"evaluated_at": "2023-11-07T05:31:56Z"
},
"test": true,
"admin_url": "<string>",
"messages": [
{
"id": "<string>",
"role": "user",
"text": "<string>",
"created_at": "2023-11-07T05:31:56Z",
"tools": [
"<string>"
]
}
]
}
],
"has_more": true,
"next_cursor": "<string>"
}{
"type": "https://docs.meetdarwin.ai/api-reference/errors#insufficient_scope",
"title": "<string>",
"status": 0,
"code": "insufficient_scope",
"detail": "<string>",
"request_id": "req_8m2k4p0q1x7z9c3v5b6n",
"param": "<string>"
}{
"type": "https://docs.meetdarwin.ai/api-reference/errors#insufficient_scope",
"title": "<string>",
"status": 0,
"code": "insufficient_scope",
"detail": "<string>",
"request_id": "req_8m2k4p0q1x7z9c3v5b6n",
"param": "<string>"
}{
"type": "https://docs.meetdarwin.ai/api-reference/errors#insufficient_scope",
"title": "<string>",
"status": 0,
"code": "insufficient_scope",
"detail": "<string>",
"request_id": "req_8m2k4p0q1x7z9c3v5b6n",
"param": "<string>"
}{
"type": "https://docs.meetdarwin.ai/api-reference/errors#insufficient_scope",
"title": "<string>",
"status": 0,
"code": "insufficient_scope",
"detail": "<string>",
"request_id": "req_8m2k4p0q1x7z9c3v5b6n",
"param": "<string>"
}{
"type": "https://docs.meetdarwin.ai/api-reference/errors#insufficient_scope",
"title": "<string>",
"status": 0,
"code": "insufficient_scope",
"detail": "<string>",
"request_id": "req_8m2k4p0q1x7z9c3v5b6n",
"param": "<string>"
}{
"type": "https://docs.meetdarwin.ai/api-reference/errors#insufficient_scope",
"title": "<string>",
"status": 0,
"code": "insufficient_scope",
"detail": "<string>",
"request_id": "req_8m2k4p0q1x7z9c3v5b6n",
"param": "<string>"
}{
"type": "https://docs.meetdarwin.ai/api-reference/errors#insufficient_scope",
"title": "<string>",
"status": 0,
"code": "insufficient_scope",
"detail": "<string>",
"request_id": "req_8m2k4p0q1x7z9c3v5b6n",
"param": "<string>"
}{
"type": "https://docs.meetdarwin.ai/api-reference/errors#insufficient_scope",
"title": "<string>",
"status": 0,
"code": "insufficient_scope",
"detail": "<string>",
"request_id": "req_8m2k4p0q1x7z9c3v5b6n",
"param": "<string>"
}Authorizations
A secret key (dk_live_…). Scopes: conversations:read, contacts:read, contacts:write, meetings:read, analytics:read, events:read, webhooks:write, knowledge:read, knowledge:write, agent:read, agent:write, experiments:read, experiments:write, privacy:write, chat:write.
Query Parameters
1 to 100; default 25.
Required range:
1 <= x <= 100The next_cursor from the previous page.
Only conversations changed since; sorts by last change.
Only conversations started since.
With (true) or without (false) a captured email.
With or without a booked meeting.
With or without a request for a person.
Graded by Darwin or not yet.
Started on this path, e.g. /pricing.
Saw an opening from this test (exp_…).
Include the owner's own preview chats.
messages: include the transcript.